Hot News:

Mit Unterstützung durch:

  Foren auf CAD.de (alle Foren)
  Rund um AutoCAD
  mehrere OFANG Punkte markieren

Antwort erstellen  Neues Thema erstellen
CAD.de Login | Logout | Profil | Profil bearbeiten | Registrieren | Voreinstellungen | Hilfe | Suchen

Anzeige:

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen nächster neuer Beitrag | nächster älterer Beitrag
  
Gut zu wissen: Hilfreiche Tipps und Tricks aus der Praxis prägnant, und auf den Punkt gebracht für Autodesk Produkte
Autor Thema:  mehrere OFANG Punkte markieren (336 mal gelesen)
OngeT
Mitglied


Sehen Sie sich das Profil von OngeT an!   Senden Sie eine Private Message an OngeT  Schreiben Sie einen Gästebucheintrag für OngeT

Beiträge: 6
Registriert: 20.01.2023

Autocad 2020

erstellt am: 20. Jan. 2023 10:01    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Grüße,
gibt es eine Möglichkeit mehrere OFANG-Punkte zu "markieren" um an diesen z.B. je eine Kugel zu erstellen?

------------------
OngeT

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

cadffm
Moderator
良い精神




Sehen Sie sich das Profil von cadffm an!   Senden Sie eine Private Message an cadffm  Schreiben Sie einen Gästebucheintrag für cadffm

Beiträge: 21480
Registriert: 03.06.2002

System: F1
und Google

erstellt am: 20. Jan. 2023 10:23    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für OngeT 10 Unities + Antwort hilfreich

Hi,

OFang ist eine Funktion, also haben wir hier mind. ein Kommunkationsproblem:
Was möchtest du erreichen und warum kannst du es aktuell nicht?

a) Du möchtest EINE Kugel erstellen, deren Oberfläche mind.2 oder gar 3 von dir angegebene Koordinatenpunkte berührt?
  A: Starte den Befehl um eine Kugel zu erstellen
      und drücke [F2] damit du mal ganz bewußt den Befehlsdialog siehst und drücke [F1] um die Hilfe zum Befehl zu lesen.

  Testen nach herzenslust und du konntest deine Frage praktisch selbst beantworten 

oder

b) Du möchtest an mehreren Koordinatenpunkte je eine Kugel erstellen.
  A:Erste Kugel erstellen, dann diese zu den anderen Positionen kopieren..

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

OngeT
Mitglied


Sehen Sie sich das Profil von OngeT an!   Senden Sie eine Private Message an OngeT  Schreiben Sie einen Gästebucheintrag für OngeT

Beiträge: 6
Registriert: 20.01.2023

Autocad 2020

erstellt am: 20. Jan. 2023 10:31    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Danke für die schnelle Antwort.

Es sind b) mehrere Kugeln an verschiedenen Schnittpunkten eines relativ komplexen 3d Körpers zu erstellen.
Dabei wird es relativ schnell unübersichtlich, da sich die erstellten Kugeln überlappen und sich dann die weiteren Schnittpunkte schlecht finden lassen.
Bisher habe ich es so gelöst, dass ich die Kugeln auf je einen Layer lege und diesen dann erstmal ausblende und am Schluss dann alle wieder einblende -> ist natürlich relativ zeitaufwändig
. . . und dafür suche ich eine Abkürzung

------------------
OngeT

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

cadwomen
Ehrenmitglied V.I.P. h.c.
Mädchen für fast alles


Sehen Sie sich das Profil von cadwomen an!   Senden Sie eine Private Message an cadwomen  Schreiben Sie einen Gästebucheintrag für cadwomen

Beiträge: 2955
Registriert: 26.08.2002

ACAD R11 - 2022
(Plant3D)
AVIS
ACAD LT 2013- 2021
ZWCAD 2015 Versuch "nun ja"
[s]History P3D 2012/(13) SP und Hotfix([/s]<P>
Windows 10 / 64 Bit
Xeon CPU 3.5GHz
16GB Ram
NVIDIA Quadro P2000
3x Dell TV100 88P Monitore

erstellt am: 20. Jan. 2023 10:44    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für OngeT 10 Unities + Antwort hilfreich


20-01-_2023_10-40-34.jpg

 
Hy ,

sowas ?

dann wirst du mit ACAD keine abkürzung finden.

CU cw

------------------
Also ich finde Unities gut ... und andere sicher auch
------------------------------------------------
cadwomen™
Plant ist nur die Spitze des Berges der da treibt ?

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

cadffm
Moderator
良い精神




Sehen Sie sich das Profil von cadffm an!   Senden Sie eine Private Message an cadffm  Schreiben Sie einen Gästebucheintrag für cadffm

Beiträge: 21480
Registriert: 03.06.2002

System: F1
und Google

erstellt am: 20. Jan. 2023 10:58    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für OngeT 10 Unities + Antwort hilfreich

Da würde mir nur eine Frage einfallen: Was für Schnittpunkte sind das - und weiter: Lassen die sich automatisiert ermitteln!?
Dazu wäre natürlich ein einfaches Beispiel (DWG) gut, aus dem ersichtlich wird wovon genau du sprichst und man daran auch testen kann.

Nativ gibt es die Funktion vermutlich nicht, was aber nicht bedeutet das man diese nicht erstellen könnte (vielleicht).

-

Als Alternative würde ich folgendes vorschlagen: Arbeiten ähnlich deiner Layermethode, jedoch ohne Layer mit isolate und hide object,
das kann auch "automatisch" passieren mit einem einfachen Menümakro oder einem kleinen Tool.
Um dir dabei zu helfen müßte man aber genau wissen wie der Ablauf ist und welche Objekte ausgeblendet werden.

Zum Beispiel, Hauptmodell nenne ich mal BOX und die erste Kugel = BALL.
Schnittpunkt wählen, letzte Kugel wird ausgeblendet, neue Kugel wird erstellt, und von vorn..

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

OngeT
Mitglied


Sehen Sie sich das Profil von OngeT an!   Senden Sie eine Private Message an OngeT  Schreiben Sie einen Gästebucheintrag für OngeT

Beiträge: 6
Registriert: 20.01.2023

Autocad 2020

erstellt am: 20. Jan. 2023 12:40    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities


CAD.de.dwg

 
das wäre die dwg dazu.
die grünen Kugeln (siehe vorhandene) müssen quasi immer an den Schnittpunkten ringsum erstellt werden.
dabei ist das Beispiel ein relativ einfaches . . . 

------------------
OngeT

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

cadffm
Moderator
良い精神




Sehen Sie sich das Profil von cadffm an!   Senden Sie eine Private Message an cadffm  Schreiben Sie einen Gästebucheintrag für cadffm

Beiträge: 21480
Registriert: 03.06.2002

System: F1
und Google

erstellt am: 20. Jan. 2023 12:55    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für OngeT 10 Unities + Antwort hilfreich

?

Also das würde ich ganz entspannt VON OBEN im (2D-)DRAHTMODUS machen und da stört dich keine Kugel ...
BKS setzen, OSNAPZ an, und los
wobei man bei simplen Kugeln auch die Z-Position vernachlässigen und nachträglich die Z-Position einstellen könnte.

Aber falls es dir hilft, egal wie du arbeitest: HIDEOBJECTS & UNISOLATEOBJECTS 

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

spider_dd
Mitglied



Sehen Sie sich das Profil von spider_dd an!   Senden Sie eine Private Message an spider_dd  Schreiben Sie einen Gästebucheintrag für spider_dd

Beiträge: 1111
Registriert: 27.11.2003

Win 10Pro
Intel(R) Core(TM) i7-7700
NVIDIA Quadro P1000
ACAD, Civil-3D 2018

erstellt am: 20. Jan. 2023 13:32    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für OngeT 10 Unities + Antwort hilfreich

Hallo OngeT,

erstelle und platziere die Kugeln mit kleinem Radius (z. B. 3 statt 30) und setze dann, wenn alle Kugeln am Platz sind, den Radius hoch.

Mann kann aber auch ein Lisp basteln, welches erst alle Punkte abfragt und dann die Kugeln setzt.

Gruß
Thomas

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

OngeT
Mitglied


Sehen Sie sich das Profil von OngeT an!   Senden Sie eine Private Message an OngeT  Schreiben Sie einen Gästebucheintrag für OngeT

Beiträge: 6
Registriert: 20.01.2023

Autocad 2020

erstellt am: 20. Jan. 2023 13:52    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

@cadffm
Danke für die Tipps. Die 2d Variante werd ich mal testen.

@spider_de
Die LISP klingt nach dem was ich mir vorgestellt hatte, nur leider fehlt mir dazu die Ahnung 😫 . . . Vielleicht könnte mir da evtl. jemand auf die Sprünge helfen?

Kleinerer Radius . . . Das ich da noch nicht selber drauf gekommen bin 🤦‍♂️ . . . Könnte natürlich auch erstmal auf die Schnelle hilfreich sein -> werde ich auch testen

Danke

------------------
OngeT

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

spider_dd
Mitglied



Sehen Sie sich das Profil von spider_dd an!   Senden Sie eine Private Message an spider_dd  Schreiben Sie einen Gästebucheintrag für spider_dd

Beiträge: 1111
Registriert: 27.11.2003

Win 10Pro
Intel(R) Core(TM) i7-7700
NVIDIA Quadro P1000
ACAD, Civil-3D 2018

erstellt am: 23. Jan. 2023 08:11    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für OngeT 10 Unities + Antwort hilfreich

Zitat:

Die LISP klingt nach dem was ich mir vorgestellt hatte ...
[/i]

Kleine Fingerübung, ziemlich "quick and dirty"

Speichern, laden, mit PK starten.
Kugeln landen auf aktuellem Layer.

Code:

;pk  -  Platziere Kugeln an gewaehlten Punkten
(defun c:PK ()
  (setq pliste nil)
  (setq cpunkt (getpoint "Punkte wählen, Ende mit ENTER"))
  (while cpunkt
    (setq pliste (cons cpunkt pliste))
    (setq cpunkt (getpoint))
  ) ; ende while
  (setq sosmode (getvar "osmode"))
  (setvar "osmode" 0)
  (foreach cpunkt pliste
    (command "_sphere" cpunkt 15) ; Radius angeben (hier 15)
  )
  (setvar "osmode" sosmode)
)

HTH
Gruß
Thomas

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

OngeT
Mitglied


Sehen Sie sich das Profil von OngeT an!   Senden Sie eine Private Message an OngeT  Schreiben Sie einen Gästebucheintrag für OngeT

Beiträge: 6
Registriert: 20.01.2023

Autocad 2020

erstellt am: 25. Jan. 2023 12:57    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities


Beispiel.jpg

 
Grüße,

@cadffm

in dem (2d)-Drahtmodus finde ich nicht die richtigen Schnittpunkte (siehe Beispiel Bild) . . . schön wäre wenn man da eine "Z-Ebene" (z.B.: Höhe 30) festlegen könnte . . . vielleicht hab ichs auch noch nicht verstanden

@spider_dd

das mit den kleineren Kugeln (und KOPIEREN) war schon mal eine ganz schöne Verbesserung (siehe Beispiel Bild), man ist da aber bei 30-40 Schnittpunkten suchen trotzdem ganz schön lange drüber

die Lisp funktioniert auch, allerdings hat man da leider keine Übersicht welchen Punkt man schon hat und verrutscht dabei beim Drehen des Objektes schon mal . . . kann man das evtl noch irgendwie anpassen?

Danke Euch für Eure Mühen 

------------------
OngeT

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

spider_dd
Mitglied



Sehen Sie sich das Profil von spider_dd an!   Senden Sie eine Private Message an spider_dd  Schreiben Sie einen Gästebucheintrag für spider_dd

Beiträge: 1111
Registriert: 27.11.2003

Win 10Pro
Intel(R) Core(TM) i7-7700
NVIDIA Quadro P1000
ACAD, Civil-3D 2018

erstellt am: 26. Jan. 2023 08:10    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für OngeT 10 Unities + Antwort hilfreich

Hallo OngeT,

Du kannst die beiden Dinge kombinieren. Nutze das Lisp mehrfach und wähle immer bloß ein paar der Punkte aus, solange Du den Überblick behälst, und setzte dort Kugeln mit kleinem Radius (entsprechende Stelle ist im Lisp ja angegeben). Wenn alle Kuglen drin sind, Radius über Eigenschaften hoch setzen.
Du kannst Das Lisp aber auch so anpassen, dass die gewählten Punkte nicht in einer Liste gesammelt werden, sondern gleich eine kleine Kugel dort gesetzt wird.

Ungetestet, sollte aber klappen:

Code:
;pk  -  Platziere Kugeln an gewaehlten Punkten
(defun c:PK ()
  (getpoint "Punkte wählen, Ende mit ENTER"))
  (while cpunkt
    (setq sosmode (getvar "osmode"))
    (setvar "osmode" 0)
    (command "_sphere" cpunkt 3) ; Radius angeben (hier 3)
    (setvar "osmode" sosmode)
    (setq cpunkt (getpoint))
  ) ; ende while
)

HTH Gruß
Thomas

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

OngeT
Mitglied


Sehen Sie sich das Profil von OngeT an!   Senden Sie eine Private Message an OngeT  Schreiben Sie einen Gästebucheintrag für OngeT

Beiträge: 6
Registriert: 20.01.2023

Autocad 2020

erstellt am: 27. Jan. 2023 12:16    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

ich hab jetzt erstmal noch bissl getestet.
Das Lisp funktioniert wie es soll. Danke

Was allerdings die entscheidende Verbesserung gebracht hat, war die Aktivierung des 3d-OFANGS . . . das hatte ich wohl immer verpennt 
Danach ließen sich die Schnittpunkt und auch die Mittelpunkte der dann entstandenen Kugeln wesentlich besser fangen . . .     

------------------
OngeT

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Anzeige.:

Anzeige: (Infos zum Werbeplatz >>)

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen

nächster neuerer Beitrag | nächster älterer Beitrag
Antwort erstellen


Diesen Beitrag mit Lesezeichen versehen ... | Nach anderen Beiträgen suchen | CAD.de-Newsletter

Administrative Optionen: Beitrag schliessen | Archivieren/Bewegen | Beitrag melden!

Fragen und Anregungen: Kritik-Forum | Neues aus der Community: Community-Forum

(c)2023 CAD.de | Impressum | Datenschutz